Docker Compose support for PyCharm

Answered

Hi there,

I'm using Docker 1.12.1 for Mac (running natively). 

When I try configure a Remote Interpreter for my project, I'm met with the following error (see screenshot below).


It looks like PyCharm is looking for a Docker Machine certificate, but I'm not sure why this is the case? Does PyCharm want to use Docker Machine and not expect Docker to run natively?

1 comment
Comment actions Permalink

Hi!

PyCharm supports Docker for Mac using socat workaround described in the comment https://youtrack.jetbrains.com/issue/IDEA-153973#comment=27-1456535. After you install socat and run it with parameters described in the workaround you should go to PyCharm Settings > Build, Execution, Deployment > Docker (https://www.jetbrains.com/help/pycharm/2016.2/docker-2.html) and type tcp://localhost:2375 as API URL field value.

0

Please sign in to leave a comment.